<?php
/**
 * The template for displaying archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @since Wild Book 1.0
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

      <?php $blog_layout = apply_filters( 'wdb_blog_layout', get_theme_mod( 'blog_layout', 'list' ) ); ?>

			<header class="page-header inner-box">
        <div class="content-container">
				<?php
        if( is_author() ) {
          printf( '<div class="author-avatar">%s</div>', get_avatar( get_queried_object_id(), 150 ) );
        }

        the_archive_title( '<h1 class="page-title">', '</h1>' );
        the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
        </div>
			</header><!-- .page-header -->

      <?php if( $blog_layout == 'grid' ) : ?>
        <div class="inner-box">
          <div class="content-container large-container">
            <div class="posts-grid flex-row last-0">
        <?php endif; ?>

        <?php
        // Start the loop.
        while ( have_posts() ) : the_post();
        
          /*
           * Include the Post-Format-specific template for the content.
           * If you want to override this in a child theme, then include a file
           * called content-___.php (where ___ is the Post Format name) and that will be used instead.
           */
          get_template_part( 'content', $blog_layout !== 'list' ? $blog_layout : '' );
          
        // End the loop.
        endwhile;
        ?>

      <?php if( $blog_layout == 'grid' ) : ?>
          </div>
        </div>
      </div>
      <?php endif; ?>
      
      <?php
      // Previous/next page navigation.
      the_posts_pagination( array(
        'prev_text'          => is_rtl() ? '<i class="fa fa-angle-right"></i>' : '<i class="fa fa-angle-left"></i>',
        'next_text'          => is_rtl() ? '<i class="fa fa-angle-left"></i>' : '<i class="fa fa-angle-right"></i>',
        'before_page_number' => ''
      ) );

		// If no content, include the "No posts found" template.
		else :
			get_template_part( 'content', 'none' );

		endif;
		?>

		</main><!-- .site-main -->
	</section><!-- .content-area -->

<?php get_footer(); ?>
