<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive.
 *
 * @since Wild Book 1.4.7
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'flex-item'); ?>>
  <?php if ( has_post_thumbnail() ) : ?>
  <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
    <?php the_post_thumbnail( 'medium-thumbnail', array( 'alt' => get_the_title() ) ); ?>
  </a>
  <?php endif; ?>

  <header class="entry-header">
  <?php 
    if( is_sticky() && is_home() && ! is_paged() ) :
      printf( '<span class="sticky-badge">%s</span>', get_theme_mod( 'sticky_post_title' ) ? esc_html( get_theme_mod( 'sticky_post_title' ) ) : esc_html__( 'Featured', 'wildbook' ) );
    endif;

    if ( ! ( is_sticky() && is_front_page() && ! has_post_thumbnail() ) )
      wdb_categories_list();
    
    the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );

    wdb_entry_meta( '<div class="entry-meta">', '</div>' );
  ?>
  </header><!-- .entry-header -->

  <div class="entry-summary">
  <?php the_excerpt(); ?>
  </div>
</article><!-- #post-## -->
