<?php
/**
 * The default template for displaying content
 *
 * Used for search page.
 *
 * @package WordPress
 * @since Wild Book 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'list-item inner-box' ); ?>>
  <div class="content-container">
    <div class="list-item-row">

      <?php if( has_post_thumbnail() ) : ?>
      <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
      <?php the_post_thumbnail( 'medium-thumbnail-not-crop', array( 'alt' => get_the_title() ) ); ?>
      </a>
      <?php endif; ?>

      <div class="list-item-content">
        <?php       
        if( is_sticky() && is_home() && ! is_paged() ) :
          printf( '<span class="sticky-badge">%s</span>', get_theme_mod( 'sticky_post_title' ) ? esc_html( get_theme_mod( 'sticky_post_title' ) ) : esc_html__( 'Featured', 'wildbook' ) );
        endif;

        the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );

        wdb_entry_meta( sprintf( '<div class="entry-meta">%s', get_theme_mod( 'display_categories', 1 ) && get_the_category_list() ? sprintf( '<span class="post-meta">%s</span>', get_the_category_list( esc_attr_x( ', ', 'Used between list items, there is a space after the comma.', 'wildbook' ) ) ) : '' ), '</div>' ); 
        ?>

        <?php if( get_the_excerpt() ) : ?>
        <div class="entry-summary">
          <?php the_excerpt(); ?>
        </div><!-- .entry-summary -->
        <?php endif; ?>
      </div><!-- .entry-header -->

    </div>
  </div>
</article><!-- #post-## -->
