<?php
/**
 * Template Name: Portfolio Grid (3 columns)
 *
 * @since Wild Book 1.5.4
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php while ( have_posts() ) : the_post(); ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class( 'inner-box' ); ?>>
      <div class="content-container">
      
        <?php $page_options = get_post_meta( $post->ID, 'wdb_page_options', true ); ?>

        <?php if( isset( $page_options['display_title'] ) ? $page_options['display_title'] : true ) : ?>
        <header class="entry-header">
          <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
        </header><!-- .entry-header -->
        <?php endif; ?>
          
        <?php wdb_post_thumbnail(); ?>

        <div class="entry-content">
          <?php the_content(); ?>
        </div><!-- .entry-content -->
      </div>

      <?php       
        // Get portfolio items.
        $portfolio_items = new WP_Query( array ( 'post_type' => 'portfolio', 'posts_per_page' => -1 ) );

        if ( $portfolio_items->have_posts() ) :
        ?>
        <div class="content-container large-container">
          <div class="portfolio-grid flex-row flex-3c last-0">
          
          <?php 
          while ( $portfolio_items->have_posts() ) : $portfolio_items->the_post();
            get_template_part( 'content-portfolio' );
          endwhile; 
          ?>
          
          </div><!-- .flex-row -->
        </div>
        <?php 
        endif;
          
        wp_reset_postdata();
      ?>  
    </article><!-- #post-## -->
		
		<?php endwhile; ?>

		</main><!-- .site-main -->
	</div><!-- .content-area -->

<?php get_footer(); ?>
